Overview
HTTP verbs
RESTful notes tries to adhere as closely as possible to standard HTTP and REST conventions in its use of HTTP verbs.
| Verb | Usage |
|---|---|
|
Used to retrieve a resource |
|
Used to create a new resource or update an existing one |
Note: all requests must be accompanied with a header `X-Token: <token>` with an application token provided by Inmoba.
HTTP status codes
RESTful notes tries to adhere as closely as possible to standard HTTP and REST conventions in its use of HTTP status codes.
| Status code | Usage |
|---|---|
|
The request completed successfully |
|
The request was malformed. The response body will include an error providing further information |
|
The requested resource does not exist |
|
The request has no authorization. A valid x-token is needed in HTTP headers |
Errors
Whenever an error response (status code >= 400) is returned, the body will contain a JSON object that describes the problem. The error object has the following structure:
| Path | Type | Description |
|---|---|---|
|
|
The HTTP status code, e.g. '400' |
|
|
A description of the cause of the error |
For example, a request that attempts to apply a non-existent tag to a note will produce a
400 Bad Request response:
HTTP/1.1 400 Bad Request
Content-Type: application/json
Content-Length: 205
{
"error" : 400,
"message" : "Failed to convert value of type 'java.lang.String' to required type 'java.lang.Integer'; nested exception is java.lang.NumberFormatException: For input string: \"a123\""
}
Page
Requests that expect a list of resources can be paginated via the following parameters:
Parameters
| Parameter | Description |
|---|---|
|
Page number. The first page value is 0. Optional. |
|
The maximum number of elements in the page. Optional. |
|
The sorting field. The value can contain the sorting direction separated by a comma. This parameter can appear as many times as needed. Optional. |
Response structure
| Path | Type | Description |
|---|---|---|
|
|
An array of resources. |
|
|
The total amount of retrieved elements. |
|
|
The total amount of pages. |
|
|
The number of elements shown in this page. |
|
|
number of elements per page. |
|
|
The current page number. It’s always a non-negative value. |
|
|
First page indicator. |
|
|
Last page indicator. |
|
|
A list of sorting criteria. |
|
|
The sorting direction. |
|
|
The sorting field. |
Example request
$ curl 'https://api.inmobalia.com/rest/location/country?page=0&size=2&sort=id%2Casc' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJnZW5lcmljIiwic2VjcmV0X2tleSI6ImdlbmVyaWNTZWNyZXRLZXkiLCJzdWIiOiJnZW5lcmljVXNlciJ9.S2mk8wW4_tgAgfsUuRLEzCcL_GahpkUAkC4z9xFwt1q5QMSvaWDuLzBpJAAmR6mbnxAgkHLIqH6xg-8-FyRcwg'
Example response
HTTP/1.1 200 OK
Content-Type: application/json
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-XSS-Protection: 1; mode=block
X-Frame-Options: DENY
X-Content-Type-Options: nosniff
Content-Length: 224
{
"content" : [ ],
"last" : true,
"totalElements" : 0,
"totalPages" : 0,
"numberOfElements" : 0,
"sort" : [ {
"direction" : "ASC",
"property" : "id"
} ],
"first" : true,
"size" : 2,
"number" : 0
}
Error Example
If a nonexistent page is requested, the response won’t generate an error, but will return no content data.
HTTP/1.1 200 OK
Content-Type: application/json
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-XSS-Protection: 1; mode=block
X-Frame-Options: DENY
X-Content-Type-Options: nosniff
Content-Length: 174
{
"content" : [ ],
"last" : true,
"totalElements" : 11,
"totalPages" : 4,
"numberOfElements" : 0,
"sort" : [ ],
"first" : false,
"size" : 3,
"number" : 20
}
Resources
Countries
Listing countries
A GET request will list all of the countries available.
Response structure
The response structure is a page structure as seen before. The content field is a list of countries.
| Path | Type | Description |
|---|---|---|
|
|
A list of countries. |
|
|
Last page indicator. |
|
|
The total amount of retrieved elements. |
|
|
The total amount of pages. |
|
|
number of elements per page. |
|
|
The current page number. It’s always a non-negative value. |
|
|
A list of sorting criteria. |
|
|
The number of elements shown in this page. |
|
|
First page indicator. |
Example request
$ curl 'https://api.inmobalia.com/rest/location/country?page=1&size=3&sort=name%2CASC' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Country
A GET request with the country identifier at the end of the path will list all of its data.
Path parameters
| Parameter | Description |
|---|---|
|
A country identifier. |
Response structure
| Path | Type | Description |
|---|---|---|
|
|
The country identifier. |
|
|
This country’s ISO code. |
|
|
This country’s name. |
|
|
This country’s currency information. |
|
|
This country’s names in each defined language. |
|
|
The language code. |
|
|
The name expressed in that language. |
|
|
The currency’s ISO code. |
|
|
The currency’s name. |
|
|
The currency’s symbol. |
Example request
$ curl 'https://api.inmobalia.com/rest/location/country/1' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Provinces
Listing provinces
A GET request will list all provinces available.
Path parameters
| Parameter | Description |
|---|---|
|
A country identifier. |
Response structure
The response structure is a page structure as seen before. The content field is a list of provinces.
| Path | Type | Description |
|---|---|---|
|
|
A list of provinces. |
|
|
Last page indicator. |
|
|
The total amount of retrieved elements. |
|
|
The total amount of pages. |
|
|
number of elements per page. |
|
|
The current page number. It’s always a non-negative value. |
|
|
A list of sorting criteria. |
|
|
The number of elements shown in this page. |
|
|
First page indicator. |
Example request
$ curl 'https://api.inmobalia.com/rest/location/country/1/province?page=1&size=3&sort=name%2CASC' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Province
A GET request with the province identifier at the end of the path will list all of its data.
Path parameters
| Parameter | Description |
|---|---|
|
A province identifier. |
Response structure
| Path | Type | Description |
|---|---|---|
|
|
The province identifier. |
|
|
The province name. |
|
|
This province’s ISO code. |
|
|
The country this province belongs to. |
|
|
This province’s names in each defined language. |
|
|
Location GPS point. |
|
|
Location GPS polygon points. |
|
|
Map Zoom level. |
|
|
The language code. |
|
|
The name expressed in that language. |
|
|
The country’s identifier. |
|
|
The country’s ISO code. |
|
|
The country’s name. |
Example request
$ curl 'https://api.inmobalia.com/rest/location/province/1' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Cities
Listing cities
A GET request will list all cities available.
Path parameters
| Parameter | Description |
|---|---|
|
A province identifier. |
Response structure
The response structure is a page structure as seen before. The content field is a list of cities.
| Path | Type | Description |
|---|---|---|
|
|
A list of cities. |
|
|
Last page indicator. |
|
|
The total amount of retrieved elements. |
|
|
The total amount of pages. |
|
|
number of elements per page. |
|
|
The current page number. It’s always a non-negative value. |
|
|
A list of sorting criteria. |
|
|
The number of elements shown in this page. |
|
|
First page indicator. |
Example request
$ curl 'https://api.inmobalia.com/rest/location/province/1/city?page=1&size=3&sort=name%2CASC' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
City
A GET request with the city identifier at the end of the path will list all of its data. Also area and subarea information will be provided if available.
Path parameters
| Parameter | Description |
|---|---|
|
A city identifier. |
Response structure
| Path | Type | Description |
|---|---|---|
|
|
This city identifier. |
|
|
This city’s name. |
|
|
This city’s latitude. |
|
|
This city’s longitude. |
|
|
The province this city belongs to. |
|
|
The areas that belong to this city. |
|
|
This city’s names in each defined language. |
|
|
Location GPS point. |
|
|
Location GPS polygon points. |
|
|
Map Zoom level. |
|
|
The language code. |
|
|
The name expressed in that language. |
|
|
The province’s identifier. |
|
|
The province’s name. |
|
|
The area’s identifier. |
|
|
The area’s name. |
|
|
The area’s latitude. |
|
|
The area’s longitude. |
|
|
The subarea information that belongs to this area. |
|
|
The area’s names in each defined language. |
|
|
The language code. |
|
|
The name expressed in that language. |
|
|
The subarea’s identifier. |
|
|
The subarea’s name. |
|
|
The subarea’s latitude. |
|
|
The subarea’s longitude. |
|
|
The subarea’s names in each defined language. |
|
|
The language code. |
|
|
The name expressed in that language. |
Example request
$ curl 'https://api.inmobalia.com/rest/location/city/1' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Agencies
Listing agencies
A GET request will list all allowed agencies.
Response structure
The response structure is a page structure as seen before. The content field is a list of agencies.
| Path | Type | Description |
|---|---|---|
|
|
A list of agency information. |
|
|
The agency identifier. |
|
|
The agency name. |
|
|
The agency email. |
|
|
The agency phone. |
|
|
The agency address |
|
|
The agency fax. |
|
|
The agency web. |
|
|
The agency location city. |
|
|
The location city identifier. |
|
|
The location city name. |
Example request
$ curl 'https://api.inmobalia.com/rest/agency?ids=101%2C102' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Agency
A GET request with the agency identifier at the end of the path will list all of its data.
Path parameters
| Parameter | Description |
|---|---|
|
The agency identifier. |
Response structure
| Path | Type | Description |
|---|---|---|
|
|
The agency identifier. |
|
|
The agency name. |
|
|
The agency email. |
|
|
The agency phone. |
|
|
The agency address |
|
|
The agency fax. |
|
|
The agency web. |
|
|
The agency location city. |
|
|
The location city identifier. |
|
|
The location city name. |
Example request
$ curl 'https://api.inmobalia.com/rest/agency/101' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Properties
Listing properties
A GET request will list all the properties available.
Filter parameters
Filters may be added to query parameters.
| Parameter | Description |
|---|---|
|
A list of agency identifiers that the property must belong to. |
|
A list of area identifiers that the property must belong to. |
|
The minimum number of bathrooms that the property must have. |
|
The maximum number of bathrooms that the property must have. |
|
The mimimum number of bedrooms that the property must have. |
|
The maximum number of bedrooms that the property must have. |
|
The property’s minimum built size. |
|
The property’s maximum built size. |
|
A list of category identifiers that the property must belong to. |
|
A list of city identifiers that the property must be in. |
|
A list of country identifiers that the property must be in. |
|
The oldest creation date of the property. |
|
The newest creation date of the property. |
|
The oldest modification date of the property. |
|
The newest modification date of the property. |
|
A list of development references that the property must belong to. |
|
A list of energy levels that the property must have. |
|
A list of feature identifiers, the property must have one of them at least. |
|
Whether the property is available for rent. |
|
Whether the property is available for long term rental. |
|
Whether the property is available for short term rental. |
|
Whether the property is available for sale. |
|
A list of garage type identifiers, the property must have one of them at least. |
|
A list of garden type identifiers, the property must have one of them at least. |
|
A list of property identifiers. |
|
The minimum property’s interior surface size. |
|
The maximum property’s interior surface size. |
|
Whether the property is exclusive. |
|
Whether the property is marked as custom feat 1. |
|
Whether the property is marked as custom feat 2. |
|
Whether the property is marked as custom feat 3. |
|
Whether the property is marked as custom feat 4. |
|
Whether the property is marked as custom feat 5. |
|
Whether the property is marked as custom feat 6. |
|
Whether the property is featured. |
|
Whether the property is available for external portals. |
|
Whether the property is a hot sale. |
|
Whether the property is new. |
|
Whether the property is special. |
|
A list of category identifiers that the property mustn’t belong to. |
|
A list of feature identifiers, the property mustn’t have any of them. |
|
A list of tag identifiers, the property mustn’t have any of them. |
|
A list of property type identifiers that the property mustn’t have. |
|
A list of orientations, the property must face to any of them. |
|
The minimum number of parking spaces that the property must have. |
|
The maximum number of parking spaces that the property must have. |
|
The minimum number of people that the property can hold. |
|
The maximum number of people that the property can hold. |
|
The minimum property’s plot surface size. |
|
The maximum property’s plot surface size. |
|
A list of pool type identifiers, the property must have one of them at least. |
|
The cheapest property price. |
|
The most expensive property price. |
|
A list of province identifiers that the property must belong to. |
|
A list of references that properties must have. |
|
Whether the property is rented. |
|
Whether the property is sold. |
|
A list of subarea identifiers that the property must belong to. |
|
A list of tag identifiers, the property must have one of them at least. |
|
The minimum property’s terrace surface. |
|
The maximum property’s terrace surface. |
|
A list of property type identifiers that the property must have. |
Response structure
The response structure is a page structure as usual. The content field is a list of properties.
| Path | Type | Description |
|---|---|---|
|
|
A list of properties. |
|
|
Last page indicator. |
|
|
The total amount of retrieved elements. |
|
|
The total amount of pages. |
|
|
number of elements per page. |
|
|
The current page number. It’s always a non-negative value. |
|
|
A list of sorting criteria. |
|
|
The number of elements shown in this page. |
|
|
First page indicator. |
Example request
$ curl 'https://api.inmobalia.com/rest/property?page=1&size=2&sort=dateCreated%2CASC&sort=dateCreated%2CDESC' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJmdWxsQWNjZXNzTWVkaWEiLCJzZWNyZXRfa2V5Ijoic2VjcmV0S2V5MTMiLCJzdWIiOiJmdWxsQWNjZXNzTWVkaWEifQ._sUqQ-9xDwninL8Z0tLpquRApxCgR8FLcBXkD8qYE1a9peUZWx_ZJTP6U257Acofh6S38KOXPL6TpJnJI2dB8g'
Property
A GET request will list all the properties available.
Path parameters
| Parameter | Description |
|---|---|
|
The property’s identifier. |
Response structure
| Path | Type | Description |
|---|---|---|
|
|
The property’s identifier. |
|
|
The agency that the property belongs to. |
|
|
The original property id to which this property is a clone of. |
|
|
The property’s construction year. |
|
|
The property’s construction year and month. |
|
|
The property’s renovation year. |
|
|
The property’s renovation year and month. |
|
|
The number of bathrooms in the property. |
|
|
The number of bedrooms in the property. |
|
|
The number of floors in the property. |
|
|
The number of on-suite bathrooms in the property. |
|
|
The number of toilets in the property. |
|
|
The date in which the property was created. |
|
|
The date in which the property was updated. |
|
|
The last date in which the property was reviewed. |
|
|
The last date in which the property was listed. |
|
|
The property’s catastro reference. |
|
|
The property’s energy comsumption level. |
|
|
The property’s CO2 generation level. |
|
|
The property’s CO2 generation. |
|
|
The property’s energy comsumption. |
|
|
The property’s garage information. |
|
|
The property’s parking spaces. |
|
|
The property’s garden information. |
|
|
The property’s orientation. |
|
|
The property’s pool information. |
|
|
The level of the property. |
|
|
The property’s GPS latitude. |
|
|
The property’s GPS longitude. |
|
|
Google’s Street View position information. |
|
|
Direct sale indicator. |
|
|
Exclusive property indicator. |
|
|
Property’s custom feat indicator. |
|
|
Property’s custom feat indicator. |
|
|
Property’s custom feat indicator. |
|
|
Property’s custom feat indicator. |
|
|
Property’s custom feat indicator. |
|
|
Property’s custom feat indicator. |
|
|
Featured property indicator. |
|
|
The property is for external portals. |
|
|
Hot sale indicator. |
|
|
Luxury property indicator. |
|
|
New property indicator. |
|
|
For rent indicator. |
|
|
Rented property indicator. |
|
|
For long term rent indicator. |
|
|
For short term rent indicator. |
|
|
For sale indicator. |
|
|
Property sharing status. |
|
|
Sold property indicator. |
|
|
Special property indicator. |
|
|
The property is under offer. |
|
|
The property is allowed to be shared on collaborator’s webs. |
|
|
The property’s build surface size. |
|
|
The property’s interior surface size. |
|
|
The property’s plot surface size. |
|
|
The property’s terrace surface size. |
|
|
The property’s reference. |
|
|
The property’s rental price. |
|
|
The property’s rental price must be shown. |
|
|
The property’s long term rental price. |
|
|
The property long term rental price must be shown. |
|
|
The property’s rental period information. |
|
|
The property’s sale price. |
|
|
The property sale price must be shown. |
|
|
The property’s reduced sale price. |
|
|
The property’s touristic code. |
|
|
The development that the property belongs to. |
|
|
The property’s property type information. |
|
|
The property’s category information. |
|
|
The currency’s information. |
|
|
The country that the property belongs to. |
|
|
The province that the property belongs to. |
|
|
The city that the property belongs to. |
|
|
The area that the property belongs to. |
|
|
The subarea that the property belongs to. |
|
|
The property’s tag list. |
|
|
The number of people that the property can hold. |
|
|
Community tax amount. |
|
|
IBI tax amount. |
|
|
Garbage tax amount. |
|
|
Location GPS point. |
|
|
Listing quality index. |
|
|
Similar group id. |
|
|
Spain cadastral status, values: VALID,INVALID,NONE |
|
|
The property’s main image. |
|
|
The image identifier. |
|
|
The image file name. |
|
|
The attachment URL. |
|
|
The image width. |
|
|
The image height. |
|
|
The image file size. |
|
|
The property attached image list. |
|
|
The image identifier. |
|
|
The image file name. |
|
|
The attachment URL. |
|
|
The image width. |
|
|
The image height. |
|
|
The image file size. |
|
|
The property’s descriptions. |
|
|
The language used for the description. |
|
|
The description text. |
|
|
A short description. |
|
|
An extra description. |
|
|
A price description. |
|
|
The property’s feature list. |
|
|
The feature identifier. |
|
|
The feature name. |
|
|
The garage type identifier. |
|
|
The garage type name. |
|
|
The garden type identifier. |
|
|
The garden type name. |
|
|
The pool type identifier. |
|
|
The pool type name. |
|
|
The rental period identifier. |
|
|
The rental period name. |
|
|
The property type identifier. |
|
|
The property type name. |
|
|
The property type category. |
|
|
The property category identifier. |
|
|
The property category name. |
|
|
The property category identifier. |
|
|
The property category name. |
|
|
The currency’s ISO code. |
|
|
The currency’s name. |
|
|
The currency’s symbol. |
|
|
The country’s identifier. |
|
|
The country’s ISO code. |
|
|
The country’s name. |
|
|
The province’s identifier. |
|
|
The province’s name. |
|
|
The province’s ISO code. |
|
|
The city’s identifier. |
|
|
The city’s name. |
|
|
The area’s identifier. |
|
|
The area’s name. |
|
|
The subarea’s identifier. |
|
|
The subarea’s name. |
|
|
The tag’s identifier. |
|
|
The tag’s agency. |
|
|
The tag name. |
Example request
$ curl 'https://api.inmobalia.com/rest/property/1' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJjZG4iLCJzZWNyZXRfa2V5Ijoic2VjcmV0S2V5MTUiLCJzdWIiOiJjZG4ifQ.ZHx10KAcw2janmJdzbR0DivvZ38l_F_APHbD7kkF-Hnq3y8YfbOuIGbX2AVU-SMUx2xtANN5mjDrFszbgUOs1Q'
Property lists ID
A GET request that returns the list of existing property identifiers within the provided range.
Path parameters
| Parameter | Description |
|---|---|
|
Minimum ID to return |
|
Maximun ID to return |
Example request
$ curl 'https://api.inmobalia.com/rest/property/id/1/1000' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJmdWxsQWNjZXNzIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJmdWxsQWNjZXNzIn0.Zb11FqWSzXh-Oteo8aZp5XMdpWhAyuY13uys3nXtCpoG7SxdvJZ-IeDAfh1hG-tcP8-vLiLdF09WT6KHaH2IWg'
Extended Properties
Listing extended properties
A GET request will list all the extended properties available.
Filter parameters
Filters may be added to query parameters.
| Parameter | Description |
|---|---|
|
A list of agency identifiers that the property must belong to. |
|
A list of area identifiers that the property must belong to. |
|
The minimum number of bathrooms that the property must have. |
|
The maximum number of bathrooms that the property must have. |
|
The mimimum number of bedrooms that the property must have. |
|
The maximum number of bedrooms that the property must have. |
|
The property’s minimum built size. |
|
The property’s maximum built size. |
|
A list of category identifiers that the property must belong to. |
|
A list of city identifiers that the property must be in. |
|
A list of country identifiers that the property must be in. |
|
The oldest creation date of the property. |
|
The newest creation date of the property. |
|
The oldest modification date of the property. |
|
The newest modification date of the property. |
|
A list of development references that the property must belong to. |
|
A list of energy levels that the property must have. |
|
A list of feature identifiers, the property must have one of them at least. |
|
Whether the property is available for rent. |
|
Whether the property is available for long term rental. |
|
Whether the property is available for short term rental. |
|
Whether the property is available for sale. |
|
A list of garage type identifiers, the property must have one of them at least. |
|
A list of garden type identifiers, the property must have one of them at least. |
|
A list of property identifiers. |
|
The minimum property’s interior surface size. |
|
The maximum property’s interior surface size. |
|
Whether the property is exclusive. |
|
Whether the property is marked as custom feat 1. |
|
Whether the property is marked as custom feat 2. |
|
Whether the property is marked as custom feat 3. |
|
Whether the property is marked as custom feat 4. |
|
Whether the property is marked as custom feat 5. |
|
Whether the property is marked as custom feat 6. |
|
Whether the property is featured. |
|
Whether the property is available for external portals. |
|
Whether the property is a hot sale. |
|
Whether the property is new. |
|
Whether the property is special. |
|
A list of category identifiers that the property mustn’t belong to. |
|
A list of feature identifiers, the property mustn’t have any of them. |
|
A list of tag identifiers, the property mustn’t have any of them. |
|
A list of property type identifiers that the property mustn’t have. |
|
A list of orientations, the property must face to any of them. |
|
The minimum number of parking spaces that the property must have. |
|
The maximum number of parking spaces that the property must have. |
|
The minimum number of people that the property can hold. |
|
The maximum number of people that the property can hold. |
|
The minimum property’s plot surface size. |
|
The maximum property’s plot surface size. |
|
A list of pool type identifiers, the property must have one of them at least. |
|
The cheapest property price. |
|
The most expensive property price. |
|
A list of province identifiers that the property must belong to. |
|
A list of references that properties must have. |
|
Whether the property is rented. |
|
Whether the property is sold. |
|
A list of subarea identifiers that the property must belong to. |
|
A list of tag identifiers, the property must have one of them at least. |
|
The minimum property’s terrace surface. |
|
The maximum property’s terrace surface. |
|
A list of property type identifiers that the property must have. |
Response structure
The response structure is a page structure as usual. The content field is a list of properties including attached files, links and HTML code.
| Path | Type | Description |
|---|---|---|
|
|
A list of properties. |
|
|
Last page indicator. |
|
|
The total amount of retrieved elements. |
|
|
The total amount of pages. |
|
|
number of elements per page. |
|
|
The current page number. It’s always a non-negative value. |
|
|
A list of sorting criteria. |
|
|
The number of elements shown in this page. |
|
|
First page indicator. |
Example request
$ curl 'https://api.inmobalia.com/rest/property/extended?page=1&size=2&sort=dateCreated%2CDESC' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJmdWxsQWNjZXNzTWVkaWEiLCJzZWNyZXRfa2V5Ijoic2VjcmV0S2V5MTMiLCJzdWIiOiJmdWxsQWNjZXNzTWVkaWEifQ._sUqQ-9xDwninL8Z0tLpquRApxCgR8FLcBXkD8qYE1a9peUZWx_ZJTP6U257Acofh6S38KOXPL6TpJnJI2dB8g'
Extended property
A GET request with the details of an extended property, that is, a regular property plus files, links and HTML codes.
Path parameters
| Parameter | Description |
|---|---|
|
The property’s identifier. |
Response structure
| Path | Type | Description |
|---|---|---|
|
|
The property’s identifier. |
|
|
The agency that the property belongs to. |
|
|
The original property id to which this property is a clone of. |
|
|
The property’s construction year. |
|
|
The property’s construction year and month. |
|
|
The property’s renovation year. |
|
|
The property’s renovation year and month. |
|
|
The number of bathrooms in the property. |
|
|
The number of bedrooms in the property. |
|
|
The number of floors in the property. |
|
|
The number of on-suite bathrooms in the property. |
|
|
The number of toilets in the property. |
|
|
The date in which the property was created. |
|
|
The date in which the property was updated. |
|
|
The last date in which the property was reviewed. |
|
|
The last date in which the property was listed. |
|
|
The property’s catastro reference. |
|
|
The property’s energy comsumption level. |
|
|
The property’s CO2 generation level. |
|
|
The property’s CO2 generation. |
|
|
The property’s energy comsumption. |
|
|
The property’s garage information. |
|
|
The property’s parking spaces. |
|
|
The property’s garden information. |
|
|
The property’s orientation. |
|
|
The property’s pool information. |
|
|
The level of the property. |
|
|
The property’s GPS latitude. |
|
|
The property’s GPS longitude. |
|
|
Google’s Street View position information. |
|
|
Direct sale indicator. |
|
|
Exclusive property indicator. |
|
|
Property’s custom feat indicator. |
|
|
Property’s custom feat indicator. |
|
|
Property’s custom feat indicator. |
|
|
Property’s custom feat indicator. |
|
|
Property’s custom feat indicator. |
|
|
Property’s custom feat indicator. |
|
|
Featured property indicator. |
|
|
The property is for external portals. |
|
|
Hot sale indicator. |
|
|
Luxury property indicator. |
|
|
New property indicator. |
|
|
For rent indicator. |
|
|
Rented property indicator. |
|
|
For long term rent indicator. |
|
|
For short term rent indicator. |
|
|
For sale indicator. |
|
|
Property sharing status. |
|
|
Sold property indicator. |
|
|
Special property indicator. |
|
|
The property is under offer. |
|
|
The property is allowed to be shared on collaborator’s webs. |
|
|
The property’s build surface size. |
|
|
The property’s interior surface size. |
|
|
The property’s plot surface size. |
|
|
The property’s terrace surface size. |
|
|
The property’s reference. |
|
|
The property’s rental price. |
|
|
The property’s rental price must be shown. |
|
|
The property’s long term rental price. |
|
|
The property long term rental price must be shown. |
|
|
The property’s rental period information. |
|
|
The property’s sale price. |
|
|
The property sale price must be shown. |
|
|
The property’s reduced sale price. |
|
|
The property’s touristic code. |
|
|
The development that the property belongs to. |
|
|
The property’s property type information. |
|
|
The property’s category information. |
|
|
The currency’s information. |
|
|
The country that the property belongs to. |
|
|
The province that the property belongs to. |
|
|
The city that the property belongs to. |
|
|
The area that the property belongs to. |
|
|
The subarea that the property belongs to. |
|
|
The property’s tag list. |
|
|
The number of people that the property can hold. |
|
|
Community tax amount. |
|
|
IBI tax amount. |
|
|
Garbage tax amount. |
|
|
Location GPS point. |
|
|
Listing quality index. |
|
|
Similar group id. |
|
|
Spain cadastral status, values: VALID,INVALID,NONE |
|
|
The property’s main image. |
|
|
The image identifier. |
|
|
The image file name. |
|
|
The attachment URL. |
|
|
The image width. |
|
|
The image height. |
|
|
The image file size. |
|
|
The property attached image list. |
|
|
The image identifier. |
|
|
The image file name. |
|
|
The attachment URL. |
|
|
The image width. |
|
|
The image height. |
|
|
The image file size. |
|
|
The property’s descriptions. |
|
|
The language used for the description. |
|
|
The description text. |
|
|
A short description. |
|
|
An extra description. |
|
|
A price description. |
|
|
The property’s feature list. |
|
|
The feature identifier. |
|
|
The feature name. |
|
|
The garage type identifier. |
|
|
The garage type name. |
|
|
The garden type identifier. |
|
|
The garden type name. |
|
|
The pool type identifier. |
|
|
The pool type name. |
|
|
The rental period identifier. |
|
|
The rental period name. |
|
|
The property type identifier. |
|
|
The property type name. |
|
|
The property type category. |
|
|
The property category identifier. |
|
|
The property category name. |
|
|
The property category identifier. |
|
|
The property category name. |
|
|
The currency’s ISO code. |
|
|
The currency’s name. |
|
|
The currency’s symbol. |
|
|
The country’s identifier. |
|
|
The country’s ISO code. |
|
|
The country’s name. |
|
|
The province’s identifier. |
|
|
The province’s name. |
|
|
The province’s ISO code. |
|
|
The city’s identifier. |
|
|
The city’s name. |
|
|
The area’s identifier. |
|
|
The area’s name. |
|
|
The subarea’s identifier. |
|
|
The subarea’s name. |
|
|
The tag’s identifier. |
|
|
The tag’s agency. |
|
|
The tag name. |
|
|
The user that listed the property. |
|
|
The user that listed the property. |
|
|
The user identifier. |
|
|
The user name. |
|
|
The user surname. |
|
|
The user email. |
|
|
The user agency. |
|
|
The user identifier. |
|
|
The user name. |
|
|
The user surname. |
|
|
The user email. |
|
|
The user agency. |
|
|
The file attachment identifier. |
|
|
The file content type. |
|
|
The file description. |
|
|
The file name in the operating system. |
|
|
The language used in the file. |
|
|
The attachment name. |
|
|
The attachment type. |
|
|
The file URL. |
|
|
The HTML attachment identifier. |
|
|
The HTML code. |
|
|
The language used in HTML text. |
|
|
The attachment name. |
|
|
The attachment type. |
|
|
The link identifier. |
|
|
The link description. |
|
|
The link name. |
|
|
The link type. |
|
|
The link URL. |
|
|
The language used in the link. |
|
|
The booking id. |
|
|
The booking agency id. |
|
|
The booking code. |
|
|
The booking end date. |
|
|
The booking property. |
|
|
The booking start date. |
Example request
$ curl 'https://api.inmobalia.com/rest/property/extended/1' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJjZG4iLCJzZWNyZXRfa2V5Ijoic2VjcmV0S2V5MTUiLCJzdWIiOiJjZG4ifQ.ZHx10KAcw2janmJdzbR0DivvZ38l_F_APHbD7kkF-Hnq3y8YfbOuIGbX2AVU-SMUx2xtANN5mjDrFszbgUOs1Q'
Property Settings
Categories
Listing categories
A GET request will list all the property categories available.
Response structure
The response structure is list of property categories.
| Path | Type | Description |
|---|---|---|
|
|
A list of property category information. |
|
|
The category identifier. |
|
|
The category name. |
|
|
This category names in each defined language. |
|
|
The property types that belong to this category. |
|
|
The language code. |
|
|
The name expressed in that language. |
|
|
The category identifier. |
|
|
The category name. |
|
|
The category information that the property type belongs to. |
|
|
This property type names in each defined language. |
|
|
The language code. |
|
|
The name expressed in that language. |
|
|
The category identifier. |
|
|
The category name. |
Example request
$ curl 'https://api.inmobalia.com/rest/property/setting/category' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Category
A GET request with the category identifier at the end of the path will list all of its data.
Path parameters
| Parameter | Description |
|---|---|
|
The category identifier. |
Response structure
| Path | Type | Description |
|---|---|---|
|
|
The category identifier. |
|
|
The category name. |
|
|
This category names in each defined language. |
|
|
The property types that belong to this category. |
|
|
The language code. |
|
|
The name expressed in that language. |
|
|
The category identifier. |
|
|
The category name. |
|
|
The category information that the property type belongs to. |
|
|
This property type names in each defined language. |
|
|
The language code. |
|
|
The name expressed in that language. |
|
|
The category identifier. |
|
|
The category name. |
|
|
The language code. |
|
|
The name expressed in that language. |
|
|
The category identifier. |
|
|
The category name. |
|
|
The category information that the property type belongs to. |
|
|
This property type names in each defined language. |
|
|
The language code. |
|
|
The name expressed in that language. |
|
|
The category identifier. |
|
|
The category name. |
Example request
$ curl 'https://api.inmobalia.com/rest/property/setting/category/1' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Property Types
Listing property types
A GET request will list all the property types available.
Response structure
The response structure is a list of property types.
| Path | Type | Description |
|---|---|---|
|
|
A list of property type information. |
|
|
The category identifier. |
|
|
The category name. |
|
|
The category information that the property type belongs to. |
|
|
This property type names in each defined language. |
|
|
The language code. |
|
|
The name expressed in that language. |
|
|
The category identifier. |
|
|
The category name. |
Example request
$ curl 'https://api.inmobalia.com/rest/property/setting/type' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Property Type
A GET request with the property type identifier at the end of the path will list all of its data.
Path parameters
| Parameter | Description |
|---|---|
|
The property type identifier. |
Response structure
| Path | Type | Description |
|---|---|---|
|
|
The category identifier. |
|
|
The category name. |
|
|
The category information that the property type belongs to. |
|
|
This property type names in each defined language. |
|
|
The language code. |
|
|
The name expressed in that language. |
|
|
The category identifier. |
|
|
The category name. |
|
|
The language code. |
|
|
The name expressed in that language. |
|
|
The category identifier. |
|
|
The category name. |
Example request
$ curl 'https://api.inmobalia.com/rest/property/setting/type/1' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Features
Listing features
A GET request will list all property features available.
Response structure
The response structure is a list of property features.
| Path | Type | Description |
|---|---|---|
|
|
A list of features. |
|
|
The feature identifier. |
|
|
The feature name. |
|
|
The feature description. |
|
|
The feature name in each defined language. |
|
|
The language code. |
|
|
The name expressed in that language. |
Example request
$ curl 'https://api.inmobalia.com/rest/property/setting/feature' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Feature
A GET request with the property feature identifier at the end of the path will list all of its data.
Path parameters
| Parameter | Description |
|---|---|
|
The feature identifier. |
Response structure
| Path | Type | Description |
|---|---|---|
|
|
The feature identifier. |
|
|
The feature name. |
|
|
The feature description. |
|
|
The feature name in each defined language. |
|
|
The language code. |
|
|
The name expressed in that language. |
|
|
The language code. |
|
|
The name expressed in that language. |
Example request
$ curl 'https://api.inmobalia.com/rest/property/setting/feature/1' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Tags
Listing tags
A GET request will list all the property tags available.
Response structure
The response structure is a list of property tags.
| Path | Type | Description |
|---|---|---|
|
|
A list of tags. |
|
|
The tag identifier. |
|
|
The tag name. |
|
|
The tag agency. |
Example request
$ curl 'https://api.inmobalia.com/rest/property/setting/tag' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Tag
A GET request with the property tag identifier at the end of the path will list all of its data.
Path parameters
| Parameter | Description |
|---|---|
|
The tag identifier. |
Response structure
| Path | Type | Description |
|---|---|---|
|
|
The tag identifier. |
|
|
The tag name. |
|
|
The tag agency. |
Example request
$ curl 'https://api.inmobalia.com/rest/property/setting/tag/1' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Garages
Listing garage types
A GET request will list all the garage types available.
Response structure
The response structure is a list of property garage types.
| Path | Type | Description |
|---|---|---|
|
|
A list of garages. |
|
|
The garage identifier. |
|
|
The garage name. |
|
|
The garage name in each defined language. |
|
|
The language code. |
|
|
The name expressed in that language. |
Example request
$ curl 'https://api.inmobalia.com/rest/property/setting/garage' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Gardens
Listing garden types
A GET request will list all the property garden types available.
Response structure
The response structure is a list of property garden types.
| Path | Type | Description |
|---|---|---|
|
|
A list of gardens. |
|
|
The garden identifier. |
|
|
The garden name. |
|
|
The garden name in each defined language. |
|
|
The language code. |
|
|
The name expressed in that language. |
Example request
$ curl 'https://api.inmobalia.com/rest/property/setting/garden' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Pools
The property pools resources.
Listing pool types
A GET request will list all the property pool types available.
Response structure
The response structure is a list of property pool types.
| Path | Type | Description |
|---|---|---|
|
|
A list of pools. |
|
|
The pool identifier. |
|
|
The pool name. |
|
|
The pool name in each defined language. |
|
|
The language code. |
|
|
The name expressed in that language. |
Example request
$ curl 'https://api.inmobalia.com/rest/property/setting/pool' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Rental Periods
Listing rental periods
A GET request will list all the property rental periods available.
Response structure
The response structure is a list of property rental periods.
| Path | Type | Description |
|---|---|---|
|
|
A list of rental periods. |
|
|
The rental period identifier. |
|
|
The rental period name. |
|
|
The rental period name in each defined language. |
|
|
The language code. |
|
|
The name expressed in that language. |
Example request
$ curl 'https://api.inmobalia.com/rest/property/setting/rentalPeriod' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Developments
Listing developments
A GET request will list all the developments available.
Filter parameters
Filters may be added to query parameters.
| Parameter | Description |
|---|---|
|
A list of agency identifiers that the development must belong to. |
|
A list of area identifiers that the development must belong to. |
|
A list of city identifiers that the development must belong to. |
|
The oldest year that the development must have to be constructed. |
|
The newest year that the development must have to be constructed. |
|
A list of country identifiers that the development must belong to. |
|
The oldest date that the development must have to be created. |
|
The newest date that the development must have to be created. |
|
The newest date that the development must have to be updated. |
|
The newest date that the development must have to be updated. |
|
A list of feature identifiers, the development must have one of them at least. |
|
A list of development identifiers. |
|
Whether the development is exclusive. |
|
Whether the development is featured. |
|
Whether the development is a hot sale. |
|
Whether the development is luxury. |
|
Whether the development is special. |
|
A list of feature identifiers, the development mustn’t have any of them. |
|
A list of unit type identifiers that the development mustn’t contain. |
|
A list of tag identifiers, the development mustn’t have any of them. |
|
The cheapest price of a unit that belongs to the development. |
|
The most expensive price of a unit that belongs to the development. |
|
A list of unit type identifiers that the development must contain. |
|
A list of province identifiers that the development must belong to. |
|
A list of references that the development must have. |
|
A list of subarea identifiers that the development must belong to. |
|
A list of tag identifiers, the development must have one of them at least. |
Response structure
The response structure is a page structure as usual. The content field is a list of developments.
| Path | Type | Description |
|---|---|---|
|
|
A list of developments. |
|
|
Last page indicator. |
|
|
The total amount of retrieved elements. |
|
|
The total amount of pages. |
|
|
number of elements per page. |
|
|
The current page number. It’s always a non-negative value. |
|
|
A list of sorting criteria. |
|
|
The number of elements shown in this page. |
|
|
First page indicator. |
Example request
$ curl 'https://api.inmobalia.com/rest/development?page=1&size=2&sort=dateCreated%2CDESC' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJmdWxsQWNjZXNzIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJmdWxsQWNjZXNzIn0.Zb11FqWSzXh-Oteo8aZp5XMdpWhAyuY13uys3nXtCpoG7SxdvJZ-IeDAfh1hG-tcP8-vLiLdF09WT6KHaH2IWg'
Development
A GET request with development details.
Path parameters
| Parameter | Description |
|---|---|
|
A development reference. |
Response structure
| Path | Type | Description |
|---|---|---|
|
|
The development identifier. |
|
|
The development agency. |
|
|
The original development id to which this development is a clone of. |
|
|
The development’s contruction year. |
|
|
The development’s contruction year and month. |
|
|
The date in which the development was created. |
|
|
The newest date in which the development was updated. |
|
|
The newest date in which the development was reviewed. |
|
|
The newest date in which the development was listed. |
|
|
Google’s Street View position information. |
|
|
Exclusive development indicator. |
|
|
Featured development indicator. |
|
|
Hot sale indicator. |
|
|
Luxury development indicator. |
|
|
Special development indicator. |
|
|
The development GPS latitude. |
|
|
The development GPS longitude. |
|
|
The development’s name. |
|
|
Location GPS point. |
|
|
The development’s lowest price. |
|
|
The development’s highest price. |
|
|
The development’s reference. |
|
|
The development’s sharing status. |
|
|
A list of the development’s tags. |
|
|
The tag’s identifier. |
|
|
The tag’s agency. |
|
|
The tag name. |
|
|
A list of unit types included in the development. |
|
|
The unit type identifier. |
|
|
The unit type name. |
|
|
The unit type category. |
|
|
The category identifier. |
|
|
The category name. |
|
|
The user that listed the development. |
|
|
The user identifier. |
|
|
The user name. |
|
|
The user surname. |
|
|
The user email. |
|
|
The user agency. |
|
|
The second user that listed the development. |
|
|
The user identifier. |
|
|
The user name. |
|
|
The user surname. |
|
|
The user email. |
|
|
The user agency. |
|
|
A list of the development’s features. |
|
|
The feature identifier. |
|
|
The feature name. |
|
|
The country that the development belongs to. |
|
|
The country’s identifier. |
|
|
The country’s ISO code. |
|
|
The country’s name. |
|
|
The province that the development belongs to. |
|
|
The province’s identifier. |
|
|
The province’s name. |
|
|
The province’s ISO code. |
|
|
The city that the development belongs to. |
|
|
The city’s identifier. |
|
|
The city’s name. |
|
|
The area that the development belongs to. |
|
|
The area’s identifier. |
|
|
The area’s name. |
|
|
The subarea that the development belongs to. |
|
|
The subarea’s identifier. |
|
|
The subarea’s name. |
|
|
The development’s description list. |
|
|
The language used for the description. |
|
|
The description text. |
|
|
A short description. |
|
|
An extra description. |
|
|
A price description. |
|
|
The development’s attached file list. |
|
|
The file attachment identifier. |
|
|
The file content type. |
|
|
The file description. |
|
|
The file name in the operating system. |
|
|
The language used in the file. |
|
|
The attachment name. |
|
|
The attachment type. |
|
|
The file URL. |
|
|
The development’s attached HTML code list. |
|
|
The HTML attachment identifier. |
|
|
The HTML code. |
|
|
The language used in HTML text. |
|
|
The attachment name. |
|
|
The attachment type. |
|
|
The development’s attached link list. |
|
|
The link identifier. |
|
|
The link description. |
|
|
The link name. |
|
|
The link type. |
|
|
The link URL. |
|
|
The language used in the link. |
|
|
The development main image information. |
|
|
The image identifier. |
|
|
The image file name. |
|
|
The attachment URL. |
|
|
The image width. |
|
|
The image height. |
|
|
The image file size. |
|
|
The development’s attached image list. |
|
|
The image identifier. |
|
|
The image file name. |
|
|
The attachment URL. |
|
|
The image width. |
|
|
The image height. |
|
|
The image file size. |
|
|
A list of the identifiers belonging to the development’s properties. |
Example request
$ curl 'https://api.inmobalia.com/rest/development/1' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJjZG4iLCJzZWNyZXRfa2V5Ijoic2VjcmV0S2V5NCIsInN1YiI6ImNkbiJ9.pUa109OkPTeSm0jWkXh_2ckODMTP-eZZ4hlVGUlQ4YJxzEmNH7oDoPYHYtKctBvnaby9uZa7OZ9V4hdOZs6cPg'
Development lists ID
A GET request that returns the available development identifiers within the given range.
Path parameters
| Parameter | Description |
|---|---|
|
Minimum ID to return |
|
Maximun ID to return |
Example request
$ curl 'https://api.inmobalia.com/rest/development/id/1/10' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJmdWxsQWNjZXNzIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJmdWxsQWNjZXNzIn0.Zb11FqWSzXh-Oteo8aZp5XMdpWhAyuY13uys3nXtCpoG7SxdvJZ-IeDAfh1hG-tcP8-vLiLdF09WT6KHaH2IWg'
Bookings
Listing bookings
A GET request will list all the bookings available.
Filter parameters
Filters may be added to query parameters.
| Parameter | Description |
|---|---|
|
A list of booking codes that the booking must have. |
|
The oldest date for the booking. |
|
A list of booking identifiers. |
|
A list of property identifiers that the booking must have. |
|
The newest date for the booking. |
Response structure
The response structure is a page structure as seen before. The content field is a list of bookings.
| Path | Type | Description |
|---|---|---|
|
|
A list of bookings. |
|
|
Last page indicator. |
|
|
The total amount of retrieved elements. |
|
|
The total amount of pages. |
|
|
number of elements per page. |
|
|
The current page number. It’s always a non-negative value. |
|
|
A list of sorting criteria. |
|
|
The number of elements shown in this page. |
|
|
First page indicator. |
|
|
The booking id. |
|
|
The booking agency identifier. |
|
|
The booking code. |
|
|
The start date. ISO 8601 FORMAT. |
|
|
The changelog date. ISO 8601 FORMAT. |
|
|
The booking property identifier. |
Example request
$ curl 'https://api.inmobalia.com/rest/booking?page=0&size=10&ids=1%2C2%2C3&codes=1%2C2%2C1&properties=1%2C2%2C22&from=2017-07-15&to=2017-09-15' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJmdWxsQWNjZXNzIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJmdWxsQWNjZXNzIn0.Zb11FqWSzXh-Oteo8aZp5XMdpWhAyuY13uys3nXtCpoG7SxdvJZ-IeDAfh1hG-tcP8-vLiLdF09WT6KHaH2IWg'
Booking
A GET request with the booking identifier at the end of the path will list all of its data.
Path parameters
| Parameter | Description |
|---|---|
|
The booking identifier. |
Response structure
| Path | Type | Description |
|---|---|---|
|
|
The booking id. |
|
|
The booking agency identifier. |
|
|
The booking code. |
|
|
The start date. ISO 8601 FORMAT. |
|
|
The changelog date. ISO 8601 FORMAT. |
|
|
The booking property identifier. |
Example request
$ curl 'https://api.inmobalia.com/rest/booking/1' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJmdWxsQWNjZXNzIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJmdWxsQWNjZXNzIn0.Zb11FqWSzXh-Oteo8aZp5XMdpWhAyuY13uys3nXtCpoG7SxdvJZ-IeDAfh1hG-tcP8-vLiLdF09WT6KHaH2IWg'
Booking lists ID
A GET request with the booking identifiers list between 2 id.
Path parameters
| Parameter | Description |
|---|---|
|
Minimum ID to return |
|
Maximun ID to return |
Example request
$ curl 'https://api.inmobalia.com/rest/booking/id/1/10' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJmdWxsQWNjZXNzIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJmdWxsQWNjZXNzIn0.Zb11FqWSzXh-Oteo8aZp5XMdpWhAyuY13uys3nXtCpoG7SxdvJZ-IeDAfh1hG-tcP8-vLiLdF09WT6KHaH2IWg'
Leads
Inserting new leads
A POST request, with a proper JSON structure in its body, will create new leads. In the response body, a boolean value will be returned indicating if the lead was created correctly or not.
Request fields
| Path | Type | Description |
|---|---|---|
|
|
A list of agency identifiers. Every agency will receive the lead. Required. |
|
|
The client’s comment. Required. |
|
|
The client’s contact email. Can be optional if a contact phone number is included. Max length 255. |
|
|
The lead’s name. Max length 100. |
|
|
A property id list that the client is interested in. |
|
|
A property reference list that the client is interested in. |
|
|
The lead’s source IP address. |
|
|
The lead’s source identifier. Required. Max length 255. |
|
|
The client’s contact phone number. Can be optional if a contact email is included. Max length 100. |
|
|
The lead’s type. Its value can be, either: SALE, or RENT. |
Example request
$ curl 'https://api.inmobalia.com/rest/lead' -i -X POST \
-H 'Content-Type: application/json' \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkIn0.A2xoHJxqsPDzOe7yeZdyGvfDqkz2LwzDNZ-baaWCY-bn8mfJoWNzP4NptMDzsNUJzmeQnURHEeIdTwEMCBvkFg' \
-d '{
"agencies" : [ 1 ],
"source" : "source",
"type" : "RENT",
"name" : "newlead",
"email" : "email",
"telephone" : "phone",
"comment" : "comment",
"remoteIp" : "ip",
"properties" : [ 3, 2 ],
"otherProperties" : [ "ref4", "zzzz" ]
}'
Changelog
A changelog is a change made to an object, such as creation, modification or deletion and the time that change was made. Changelogs allow an external database to be synchronized with the service.
Listing changelogs
A GET request will list all the changelogs available.
Filter parameters
Filters may be added to query parameters.
| Parameter | Description |
|---|---|
|
The oldest date that the change must have to be made. ISO 8601 FORMAT. Default: last 24H. |
|
The newest date that the change must have to be made. ISO 8601 FORMAT. |
|
List of changelog entity. |
|
The change operation. Values: SAVE, DELETE. |
Response structure
The response structure is a page structure as usual. The content field is a list of changelog.
| Path | Type | Description |
|---|---|---|
|
|
A list of changelogs. |
|
|
Last page indicator. |
|
|
The total amount of retrieved elements. |
|
|
The total amount of pages. |
|
|
number of elements per page. |
|
|
The current page number. It’s always a non-negative value. |
|
|
The number of elements shown in this page. |
|
|
First page indicator. |
|
|
The changelog agency id, Nullable. |
|
|
The changelog date. ISO 8601 FORMAT. |
|
|
The operation. Values: SAVE, DELETE |
|
|
The changelog entity. Values: PROPERTY, DEVELOPMENT, BOOKING, AGENCY, LOCATION_COUNTRY, LOCATION_PROVINCE, LOCATION_CITY, LOCATION_AREA, LOCATION_SUBAREA, PROPERTY_CATEGORY, PROPERTY_TYPE, PROPERTY_GARAGE, PROPERTY_GARDEN, PROPERTY_POOL, RENTAL_PERIOD, DEVELOPMENT_FEATURE, PROPERTY_FEATURE, TAG, APPLICATION |
|
|
The changelog entity ID. |
|
|
The sorting direction. |
|
|
The sorting field. |
Example request
$ curl 'https://api.inmobalia.com/rest/changelog?page=0&size=5&from=2024-11-21T00%3A00%3A00%2B01%3A00&to=2024-11-21T14%3A00%3A00%2B01%3A00&entities=PROPERTY%2CDEVELOPMENT%2CAGENCY%2CLOCATION_COUNTRY%2CLOCATION_PROVINCE%2CLOCATION_CITY&operation=SAVE' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'
Listing Latest changelogs
A GET request will list only latest changelogs from given date.
Response structure
The response structure is a page structure as usual. The content field is a list of changelog.
| Path | Type | Description |
|---|---|---|
|
|
A list of changelogs. |
|
|
Last page indicator. |
|
|
The total amount of retrieved elements. |
|
|
The total amount of pages. |
|
|
number of elements per page. |
|
|
The current page number. It’s always a non-negative value. |
|
|
A list of sorting criteria. |
|
|
The number of elements shown in this page. |
|
|
First page indicator. |
|
|
The changelog agency id, Nullable. |
|
|
The changelog date. ISO 8601 FORMAT. |
|
|
The operation. Values: SAVE, DELETE |
|
|
The changelog entity. Values: PROPERTY, DEVELOPMENT, BOOKING, AGENCY, LOCATION_COUNTRY, LOCATION_PROVINCE, LOCATION_CITY, LOCATION_AREA, LOCATION_SUBAREA, PROPERTY_CATEGORY, PROPERTY_TYPE, PROPERTY_GARAGE, PROPERTY_GARDEN, PROPERTY_POOL, RENTAL_PERIOD, DEVELOPMENT_FEATURE, PROPERTY_FEATURE, TAG, APPLICATION |
|
|
The changelog entity ID. |
Example request
$ curl 'https://api.inmobalia.com/rest/changelog/latest/2024-11-21T00:00:00+01:00?page=0&size=5' -i -X GET \
-H 'x-token: eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOiJlbmFibGVkIiwic2VjcmV0X2tleSI6InNlY3JldEtleTEiLCJzdWIiOiJlbmFibGVkVXNlciJ9.mhSZfzxmz_wfu8lRhQSV72NTthpDDnyXEWv9R1KpAEI-l6FUDzIRtzLAik20WER8dkkpXWhoXUnFRfVfKtQjdQ'